Reflection X 2011 R2 Supported Platforms and System Requirements

  • 7021814
  • 01-Nov-2011
  • 24-Mar-2018

Environment

Reflection X 2011 R2
Reflection Suite for X 2011 R2 or higher

Situation

This technical note lists the supported operating systems and virtualization products, as well as installation notes and system requirements, for Reflection X 2011 R2 or higher products.

For Reflection X 2011 R3 supported platform information, see KB 7021816.

Resolution

This table lists the applications available in Reflection X 2011 R2 or higher and Reflection Suite for X 2011 R2 or higher.

Product
Reflection X Advantage 4.0 or higher *
Reflection X (Legacy) 14.1 SP1 or higher **
Reflection for UNIX and OpenVMS 2011 R2 or higher
Reflection for IBM 2011 R2 or higher
Reflection Secure FTP Client R2 or higher
Reflection X 2011 R2 or higher
X
X
X
 
X
Reflection Suite for X 2011 R2 or higher
X
X
X
X
X

* Reflection X Advantage 4.0 or higher for Windows is installed as part of the integrated product installation. Reflection X Advantage 4.0 or higher for Solaris, HP-UX, Linux, and Mac are separate application downloads and require separate installation.

** To install Reflection X (Legacy) 14.1, you must select it from the feature tree during installation. It does not install by default. For information about running both X servers on the same machine, see KB 7021842.

Supported Operating Systems

The following table lists the supported platforms for each application. Minimum platform requirements are listed with recommended platforms in parentheses.

Note: If an application has support for a different operating system version than the one listed in the operating system column, it is noted under the application name.

Operating System Minimum (Recommended)
Reflection X Advantage 4.0 or higher
Reflection X (Legacy) 14.1 SP1 or higher
Reflection for IBM 2011 R2 and Reflection for UNIX and OpenVMS 2011 R2 or higher *
Microsoft Windows 7 Professional SP1 or higher (Enterprise or Ultimate) – 32- and 64-bit
X
X
X
Microsoft Windows Vista Business SP2 (Enterprise or Ultimate, SP2 or higher) – 32- and 64-bit
X
X
X
Microsoft Windows XP SP3 – 32-bit only
X
X
X
Microsoft Windows Server 2008 R2 with Remote Desktop Services – 64-bit only
X
X
X
Microsoft Windows Server Windows Server 2008 R1 with Windows Terminal Server for multi-user environments (R2)
X
X
X
Microsoft Windows Server 2003 R2 with Windows Terminal Server for multi-user environments
X
X
X
Solaris 32- and 64-bit
X
 
 
Solaris Sparc 32- and 64-bit
X
 
 
HP-UX PA-RISC 32- and 64-bit
X
 
 
HP-UX Itanium 64-bit
X
 
 
Linux 32- and 64-bit
X
 
 
Mac OS X 64-bit
X
 
 

* To use the Office integration features in Reflection 2011, Microsoft Office 2003 or higher must be installed.

Supported Virtualization Products

This table lists the virtualization products supported by each application.

Virtualization Product
Reflection X Advantage 4.0 or higher
Reflection X (Legacy) 14.1 SP1 or higher
Reflection for IBM 2011 R2 or higher and Reflection for UNIX and OpenVMS 2011 R2 or higher 
Citrix XenApp
X
X
X
Microsoft Application Virtualization (App-V)
X
X
X
Microsoft Virtual PC (VPC)
X
X
X
VMware Workstation/Player
X
X
X
VMware ThinApp
X
X
X

For information about sequencing Reflection X 2011 or Reflection Suite for X as a virtual application for Microsoft App-V 4.6, see KB 7021523.

For information about sequencing Reflection 14.x as a virtual application with Microsoft App-V 4.5, see KB 7021725.

Installation Notes

This section includes additional installation notes and system requirements.

Reflection for IBM 2011 R2 or higher and Reflection for UNIX and OpenVMS 2011 R2 or higher

Depending on your install method (using the Attachmate Installation Program, installing directly using MSI, or deploying from an administrative install), and the platform to which you are installing, this software is either installed or updated automatically, or you are prompted to install or perform an update.

Microsoft .NET Framework 4.0 Runtime

Reflection requires Microsoft .NET Framework 4.0 Runtime. Both 32- and 64-bit versions of this prerequisite software are distributed with Reflection.

For all supported operating systems except Microsoft Server 2008, if you use the Attachmate Installation Program to install Reflection, it determines whether the system has the .NET Framework, and automatically installs it if necessary. (This applies for both the Attachmate Installation Program GUI and command-line modes.)

Note: If you are using Microsoft Windows Server 2008 R1, you will need to make sure that the Microsoft .NET Framework 4.0 is installed on the server before you install Reflection. The Attachmate Installation Program does not install .NET on this server.

Microsoft Windows Installer 3.1

The Microsoft Windows Installer (MSI) version 3.1 is distributed with Reflection. This is applicable to Windows XP only (Windows Vista and Windows 7 already include a later version).

If you use the Attachmate Installation Program on Windows XP, the wizard determines whether Windows Installer 3.1 is installed, and will automatically update it if necessary.

Microsoft Visual Basic for Applications (VBA)

Reflection 2011 R2 or higher supports Microsoft VBA 6.5. If you select to install this feature in the Attachmate Installation Program, it is automatically installed. If you install Reflection directly with MSI or with a deployment tool and you want to install this feature, you must install it directly, using the core VBA 6.5 MSI and an appropriate language specific MSI (these MSIs are in the Prerequisites folder, in the distrubution media).

Deploying MSI Files Directly

If you install Reflection directly with MSI or with a deployment tool, you must install the .NET Framework first.

If you install Reflection directly (with MSI), or you are deploying Reflection from an administrative install, Windows Installer 3.1 is not automatically installed on Windows XP. Although Windows Installer 3.1 is optional, you should update your version of Windows Installer to take full advantage of the features available in Windows Installer 3.1.

Deploy Windows Installer 3.1 as a separate package to Windows XP workstations where it is not installed.

System Requirements

Specific requirements vary based on your hardware and other software components present.

Processor

2 GHz, 32-bit or 64-bit (1.5 GHz or higher multi-core, 32-bit or 64-bit recommended)

System memory (RAM)

1 GB (2 GB recommended)

Reflection X Advantage 4.0 or higher

Additional installation notes include:

  • The computer requirements for Reflection X domain controllers and domain nodes depend on the number and types of sessions running on the domain and how the sessions are configured.
  • An Internet browser is required to view the application Help. JavaScript must be enabled to use navigation, search, and other Help features. Supported browsers include Internet Explorer, Firefox, and Google Chrome.

System Requirements

Processor:

1 GHz, 32-bit or 64-bit (2 GHz or higher dual-core, 32-bit or 64-bit recommended)

System memory (RAM) depends on the operating system:

For Windows 7, Windows Vista, Windows XP, Mac OS X, Linux, Solaris, and HP-UX:

2 GB (4 GB recommended)

Reflection X (Legacy) 14.1 SP1 or higher

Product help may not display when running Reflection X 14.1 SP1 or higher on Microsoft Windows 7, Windows Vista, or Windows Server 2008. See KB 7021283 for information about the symptom and solution.

Additional Information

Legacy KB ID

This document was originally published as Attachmate Technical Note 2563.

Feedback service temporarily unavailable. For content questions or problems, please contact Support.